# Generated from with_form-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name with_form

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Your System Test's counterpart to `form_with`
License: MIT
URL: https://github.com/seanpdoyle/with_form
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(activerecord) >= 5.2.0
# BuildRequires: rubygem(selenium-webdriver)
# BuildRequires: rubygem(webdrivers)
BuildArch: noarch

%description
Leverage Rails-generated <label> values to submit <form> elements in System
Tests.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Thu Sep 16 2021 mockbuilder - 0.2.1-1
- Initial package
